Main Page Widgets Namespaces Book

# Gtk::Menu_Helpers::AccelKey Class Reference
[Menu classes]

Defines accelerator key combinations. More...

List of all members.

## Public Methods
| AccelKey ()
| AccelKey (guint accel_key, Gdk::ModifierType accel_mods, const Glib::ustring& accel_path="")
| AccelKey constructor.
| AccelKey (const Glib::ustring& accelerator, const Glib::ustring& accel_path="")
| AccelKey constructor.
| AccelKey (const AccelKey& src)
AccelKey& | operator= (const AccelKey& src)
bool | is_null () const
guint | get_key () const
| Gets the accelerator key.
Gdk::ModifierType | get_mod () const
| Gets the accelerator modifier.
Glib::ustring | get_path () const
| Gets the accelerator path.
Glib::ustring | get_abbrev () const
| Gets the accelerator representation for labels.
## Protected Attributes
guint | key_
Gdk::ModifierType | mod_
Glib::ustring | path_

## Detailed Description

Defines accelerator key combinations.

For instance, pressing Control-Q to activate the File|Quit menu item. Typedefed as Gtk::Menu::AccelKey

By defining accelerator paths you can allow users of your application to change accelerators himself. An example of an accelerator may be "<MainWindow>/File/Open". Modified accelerators may be saved

See also:
  Gtk::AccelMap

## Constructor & Destructor Documentation

Gtk::Menu_Helpers::AccelKey::AccelKey | ( |  | ) |

Gtk::Menu_Helpers::AccelKey::AccelKey | ( | guint | accel_key,
|  | Gdk::ModifierType | accel_mods,
|  | const Glib::ustring& | accel_path = ""
| ) |

  | AccelKey constructor. Parameters:
  accel_key | For instance, 'q'
  accel_mods | For instance, Gdk::CONTROL_MASK
  accel_path | For instance, "<MainWindow>/File/Open"

Gtk::Menu_Helpers::AccelKey::AccelKey | ( | const Glib::ustring& | accelerator,
|  | const Glib::ustring& | accel_path = ""
| ) |

  | AccelKey constructor. Parameters:
  accelerator | For instance, "<control>q" - Use <control>, <shift>. <alt> and <release>. Use F1, F2, etc, for function keys.
  accel_path | For instance, "<MainWindow>/File/Open"

Gtk::Menu_Helpers::AccelKey::AccelKey | ( | const AccelKey& | src | ) |

## Member Function Documentation

Glib::ustring Gtk::Menu_Helpers::AccelKey::get_abbrev | ( |  | ) |

| Gets the accelerator representation for labels.

guint Gtk::Menu_Helpers::AccelKey::get_key | ( |  | ) |

| Gets the accelerator key.

Gdk::ModifierType Gtk::Menu_Helpers::AccelKey::get_mod | ( |  | ) |

| Gets the accelerator modifier.

Glib::ustring Gtk::Menu_Helpers::AccelKey::get_path | ( |  | ) |

| Gets the accelerator path.

bool Gtk::Menu_Helpers::AccelKey::is_null | ( |  | ) |

AccelKey& Gtk::Menu_Helpers::AccelKey::operator= | ( | const AccelKey& | src | ) |

## Member Data Documentation

guint Gtk::Menu_Helpers::AccelKey::key_`[protected]`

Gdk::ModifierType Gtk::Menu_Helpers::AccelKey::mod_`[protected]`

Glib::ustring Gtk::Menu_Helpers::AccelKey::path_`[protected]`

The documentation for this class was generated from the following file:

- accelkey.h